Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package mars

Class Summary
ErrorList | Maintains list of generated error messages, regardless of source (tokenizing, parsing, assembly, execution).
ErrorMessage | Represents occurrance of an error detected during tokenizing, assembly or simulation.
Globals | Collection of globally-available data structures.
MarsLaunch | Launch the Mars application
MarsSplashScreen | Produces MARS splash screen. Adapted from http://www.java-tips.org/content/view/1267/2/
MIPSprogram | Internal representations of MIPS program.
ProgramStatement | Represents one assembly/machine statement.
Settings | Contains various IDE settings.

Exception Summary
ProcessingException | Class to represent error that occurs while assembling or running a MIPS program.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES